Difference between revisions of "DAViCal Dependencies"

From Davical
Jump to navigationJump to search
(different php packages for PHP 7)
Line 13: Line 13:
 
   * libdbd-pg-perl
 
   * libdbd-pg-perl
 
   * libdbi-perl
 
   * libdbi-perl
 +
 +
For PHP 7 (from Debian Stretch / Ubuntu 16.04 Xenial), the PHP packages are different:
 +
 +
  * php
 +
  * php-pgsql
 +
  * php-imap
 +
  * php-curl
 +
  * php-cgi
 +
  * php-xml
 +
 +
The Ubuntu 16.04 package unfortunately lacks the php-xml dependency, so this package has to be added manually.
  
 
[[Category:Installation]]
 
[[Category:Installation]]

Revision as of 14:48, 7 June 2016

All those dependencies must be met for DAViCal to function correctly. This page shall try to list the different depencies for different architectures.

Debian / Ubuntu

 * A Webserver
 * postgresql
 * php5
 * php5-pgsql
 * php5-imap
 * php5-curl
 * php5-cgi
 * libyaml-perl
 * libdbd-pg-perl
 * libdbi-perl

For PHP 7 (from Debian Stretch / Ubuntu 16.04 Xenial), the PHP packages are different:

 * php
 * php-pgsql
 * php-imap
 * php-curl
 * php-cgi
 * php-xml

The Ubuntu 16.04 package unfortunately lacks the php-xml dependency, so this package has to be added manually.